Announcement Announcement Module
Collapse
No announcement yet.
maven plugin error for sample petclinic project Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • maven plugin error for sample petclinic project

    Hi
    I tired to run the sample petclinic project but i got the following error --


    Code:
    C:\Users\Development\petclinic>mvn eclipse:eclipse
    [INFO] Scanning for projects...
    Downloading: http://repo1.maven.org/maven2/org/apache/maven/plugins/maven-war-pl
    ugin/2.0.2/maven-war-plugin-2.0.2.pom
    [WARNING] Unable to get resource 'org.apache.maven.plugins:maven-war-plugin:pom:
    2.0.2' from repository central (http://repo1.maven.org/maven2): Error transferri
    ng file: repo1.maven.org
    Downloading: http://repository.springsource.com/maven/bundles/release/org/apache
    /maven/plugins/maven-war-plugin/2.0.2/maven-war-plugin-2.0.2.pom
    [WARNING] Unable to get resource 'org.apache.maven.plugins:maven-war-plugin:pom:
    2.0.2' from repository com.springsource.repository.bundles.release (http://repos
    itory.springsource.com/maven/bundles/release): Error transferring file: reposito
    ry.springsource.com
    Downloading: http://repository.springsource.com/maven/bundles/external/org/apach
    e/maven/plugins/maven-war-plugin/2.0.2/maven-war-plugin-2.0.2.pom
    [WARNING] Unable to get resource 'org.apache.maven.plugins:maven-war-plugin:pom:
    2.0.2' from repository com.springsource.repository.bundles.external (http://repo
    sitory.springsource.com/maven/bundles/external): Error transferring file: reposi
    tory.springsource.com
    Downloading: http://repository.springsource.com/maven/bundles/milestone/org/apac
    he/maven/plugins/maven-war-plugin/2.0.2/maven-war-plugin-2.0.2.pom
    [WARNING] Unable to get resource 'org.apache.maven.plugins:maven-war-plugin:pom:
    2.0.2' from repository com.springsource.repository.bundles.milestone (http://rep
    ository.springsource.com/maven/bundles/milestone): Error transferring file: repo
    sitory.springsource.com
    Downloading: http://repo1.maven.org/maven2/org/apache/maven/plugins/maven-war-pl
    ugin/2.0.2/maven-war-plugin-2.0.2.pom
    [WARNING] Unable to get resource 'org.apache.maven.plugins:maven-war-plugin:pom:
    2.0.2' from repository central (http://repo1.maven.org/maven2): Error transferri
    ng file: repo1.maven.org
    [INFO] ------------------------------------------------------------------------
    [ERROR] BUILD ERROR
    [INFO] ------------------------------------------------------------------------
    [INFO] Error building POM (may not be this project's POM).
    
    
    Project ID: org.apache.maven.plugins:maven-war-plugin
    
    Reason: POM 'org.apache.maven.plugins:maven-war-plugin' not found in repository:
     Unable to download the artifact from any repository
    
      org.apache.maven.plugins:maven-war-plugin:pom:2.0.2
    
    from the specified remote repositories:
      com.springsource.repository.bundles.release (http://repository.springsource.co
    m/maven/bundles/release),
      com.springsource.repository.bundles.external (http://repository.springsource.c
    om/maven/bundles/external),
      central (http://repo1.maven.org/maven2),
      com.springsource.repository.bundles.milestone (http://repository.springsource.
    com/maven/bundles/milestone)
    
     for project org.apache.maven.plugins:maven-war-plugin
    
    
    [INFO] ------------------------------------------------------------------------
    [INFO] For more information, run Maven with the -e switch
    [INFO] ------------------------------------------------------------------------
    [INFO] Total time: 2 seconds
    [INFO] Finished at: Wed May 27 04:06:56 BDT 2009
    [INFO] Final Memory: 1M/4M
    [INFO] ------------------------------------------------------------------------
    C:\Users\Development\petclinic>

  • #2
    Would you please confirm which version of Maven you're running and also which version of Roo. If possible please try Maven 2.0.9 or above and Roo 1.0.0.M1.

    You could also try "mvn -up eclipse:eclipse" to upgrade your plugins. It might fix the issue.

    Comment


    • #3
      Hi
      Thanks for your replay. After got Roo M1 version and update maven plugin for eclipse, the problem is now resolved.

      Comment

      Working...
      X